<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 30, 2021
 */
require_once(__DIR__ . '/../../Nodeworx.php');

/**
 * @package InterWorx
 * @subpackage
 */
class NwDetailsActionsTest extends Acronis_NodeworxTest
{

    /**
     * test getDashboardData
     */
    public function testGetDashboardData()
    {
        echo __FUNCTION__;

        $Reply = $this->_sendCtrlRequest('getDashboardData');
        $this->assertReplySuccessful($Reply);

        $payloadData = $Reply->getPayloadData();
        $this->assertArrayHasKey('size', $payloadData);
        $this->assertArrayHasKey('enabled', $payloadData);
        $this->assertArrayHasKey('id', $payloadData);
        $this->assertArrayHasKey('name', $payloadData);
        $this->assertArrayHasKey('time', $payloadData);
        $this->assertArrayHasKey('days', $payloadData);
        $this->assertArrayHasKey('lastStatus', $payloadData);
        $this->assertArrayHasKey('lastBackup', $payloadData);
        $this->assertArrayHasKey('nextBackup', $payloadData);
    }

    /**
     * test getStorageSizeCommitAction.
     */
    public function testGetStorageSize()
    {
        echo __FUNCTION__;

        $Reply = $this->_sendCtrlRequest('getStorageSize');
        $this->assertReplySuccessful($Reply);
    }


    /**
     * test getBackupActivities
     */
    public function testGetBackupActivities()
    {
        echo __FUNCTION__;

        $Reply = $this->_sendCtrlRequest('getBackupActivities');
        $payloadData = $Reply->getPayloadData();

        $this->assertReplySuccessful($Reply);
        $this->assertArrayHasKey('lastStatus', $payloadData);
        $this->assertArrayHasKey('lastBackup', $payloadData);
        $this->assertArrayHasKey('nextBackup', $payloadData);
    }

    /**
     * test redirectToBackupCloudCommitAction
     */
    public function testRedirectToBackupCloud()
    {
        echo __FUNCTION__;

        $Reply = $this->_sendCtrlRequest('redirectToBackupCloud');
        $this->assertReplySuccessful($Reply);

        $payloadData = $Reply->getPayloadData();
        $this->assertArrayHasKey('redirect', $payloadData);
    }
}
